Subject: [os2genau_digest] No. 1328
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 9 Jul 2006 00:00:34 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 08 July 2006
 Number  1328
**************************************************

Subjects for today
 
1   Ganttproject (PM) for OS/2 : Ed Durrant <edurrant at bigpond dot net dot au>
1  Re:  Ganttproject (PM) for OS/2 : Bruce Rossi <data2doc at westnet dot com dot au>
2   "Open the pod bay doors, please HAL!" : John Angelico" <talldad at kepl dot com dot au>
2   OS/2 programming books : Paul Smedley <paul at smedley.info>

**= Email   1 ==========================**

Date:  Sat, 08 Jul 2006 08:05:35 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:   Ganttproject (PM) for OS/2

While looking at a computer mag, I found a free Project Management (PM) 
program listed, which I thought I would see if I could get to work using 
ODIN on OS/2.

I went to the website:

http://www.ganttproject dot org

which routed me to:

http://ganttproject.sourceforge dot net/

To my surprise, this page listed ganttproject for OS/2 as the main logo 
with a link for "other systems and archives" i.e MAC, Windows, Linux etc.

Looking further I found that this download is in fact a Java 
application, so what I think is happening is that the website is 
intelligent enough to look at the browser being used - finds it Firefox 
running on OS/2 and builds the appropriate welcome page ! For once it 
counts in our favor that Firefox reports the OS in use to the remote 
server !

I haven't yet got the program working as I'm getting some errors from 
the batch file, however I found it interesting that the website was 
intelligent enough to present the OS/2 version as the primary option for 
download - I am actually running on OS/2 Warp 4 not eComstation, so I 
wonder if someone else accesses this site from eCS whether anything 
changes - although I suspect Firefox reports OS/2 back still on eCS, so 
it'll probably be the same.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   1 ==========================**

Date:  Sat, 08 Jul 2006 10:15:35 +1000
From:  Bruce Rossi <data2doc at westnet dot com dot au>
Subject:  Re:  Ganttproject (PM) for OS/2

Hi Ed,

I modified the batch file and have this running using Innotek Java 
1.4.2.05 on eCS 1.1. It's a good idea to set JAVA_HOME in config.sys so 
it uses a known Java.

This is the batch file:

 at echo off
SET GP_HOME=.
SET JAVA_COMMAND=%JAVA_HOME%\bin\java.exe
IF "%JAVA_HOME%"=="" SET JAVA_COMMAND=java
SET LOCAL_CLASSPATH=%GP_HOME%\eclipsito.jar
SET CONFIGURATION_FILE=%GP_HOME%\ganttproject-eclipsito-config.xml
SET BOOT_CLASS=org.bardsoftware.eclipsito.Boot
"%JAVA_COMMAND%" -Xmx256m -classpath "%CLASSPATH%;%LOCAL_CLASSPATH%" 
%BOOT_CLASS% "%CONFIGURATION_FILE%" %1 %2 %3 %4 %5 %6
if ERRORLEVEL==9009 goto ERROR_NO_JAVA
goto END
:ERROR_NO_JAVA
echo "Please set up JAVA_HOME variable"
:END

Ed Durrant wrote:
> While looking at a computer mag, I found a free Project Management (PM) 
> program listed, which I thought I would see if I could get to work using 
> ODIN on OS/2.
> 
> I went to the website:
> 
> http://www.ganttproject dot org
> 
> which routed me to:
> 
> http://ganttproject.sourceforge dot net/
> 
> To my surprise, this page listed ganttproject for OS/2 as the main logo 
> with a link for "other systems and archives" i.e MAC, Windows, Linux etc.
> 
> Looking further I found that this download is in fact a Java 
> application, so what I think is happening is that the website is 
> intelligent enough to look at the browser being used - finds it Firefox 
> running on OS/2 and builds the appropriate welcome page ! For once it 
> counts in our favor that Firefox reports the OS in use to the remote 
> server !
> 
> 
> I haven't yet got the program working as I'm getting some errors from 
> the batch file, however I found it interesting that the website was 
> intelligent enough to present the OS/2 version as the primary option for 
> download - I am actually running on OS/2 Warp 4 not eComstation, so I 
> wonder if someone else accesses this site from eCS whether anything 
> changes - although I suspect Firefox reports OS/2 back still on eCS, so 
> it'll probably be the same.
> 
> Cheers/2
> 
> Ed.
 
> 
> 

> 

-- 
Regards,
Bruce Rossi
Data To Documents
data2docSAFE at URLfastmail dot com dot au (Please modify to reply)
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 08 Jul 2006 21:01:38 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:   "Open the pod bay doors, please HAL!"

Hi all!

I was surprised at the latest news re vanishing Windows Vista...

Apparently it will include a new convenience feature

Spoken commands to control your computer!

Have a read of

http://blogcastrepository dot com/blogcasts/37/windows_workstation/entry588.aspx

http://blogs.technet dot com/chenley/archive/2006/02/21/420136.aspx

Of course, you will have to train your computer to recognise your voice but
it will be wonderful and convenient to "just say the word" <VBG>. This is
regarded as being highly COOL in the blogosphere. 

Well, having fallen off the chair laughing, I picked myself up off the
floor and wondered, hmm, now that our machines have more memory and
horsepower, could Warp 4 VoiceType/VoiceDictation actually be functional?

I know that VT is not in the eCS releases, but does anyone know where it is
in the original Warp 4 CDs (of which I have one per machine here, of
course), and how to get it installed from there, please?

Oh, and could the historians please remind us exactly WHEN Warp 4 was
released, and HOW MANY YEARS it will be until Vista actually catches up??

:-)

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 08 Jul 2006 21:12:39 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:   OS/2 programming books

Hi All,

I've managed to accumulate duplicates of 3 OS/2 programming books, that 
I figure I might as well offload for the cost of postage.

Due to the weight of the books, it may not be worth shipping these overseas.

The books I have duplicates of are:

- OS/2 2.1 Workplace Shell Programming by Stefano Maruzzi
- Designing High-Powered OS/2 Warp Applications by David E Reich
- OS/2 Warp Presentation manager for Power Programmers by Uri J Stern & 
James S Morrow

Anyone who's interested mail me with your location, and the title you're 
interested in so I can work out postage costs.

In the event of multiple people wanting the same title I'll use my 
discretion in determining who gets it.

Cheers,

Paul.
----------------------------------------------------------------------------------